=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Homepage: http://www.geocities.jp/kosako3/oniguruma/
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.3

Package: libonig2
Architecture: any
Depends: ${shlibs:Depends}
Description: Oniguruma regular expressions library
 The characteristics of this library is that different character
 encoding for every regular expression object can be specified.

Package: libonig2-dbg
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libonig2 (= ${binary:Version})
Description: Debugging symbols for libonig2
 The characteristics of this library is that different character
 encoding for every regular expression object can be specified.
 .
 This package provides the debugging symbols.

Package: libonig-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libonig2 (= ${binary:Version})
Description: Development files for libonig2
 The characteristics of this library is that different character
 encoding for every regular expression object can be specified.
 .
 This package provides development files and static libraries.
