=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 -fno-strict-aliasing
endif

configure: debian/stamp-configure
debian/stamp-configure:
	dh_testdir

	# update libonig's autotools files
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--disable-dependency-tracking \
		--without-rubydir \
		--prefix=/usr

	@touch $@

build: debian/stamp-build
debian/stamp-build: debian/stamp-configure
	dh_testdir

	$(MAKE)

	@touch $@

check: debian/stamp-check
debian/stamp-check: debian/stamp-build
	dh_testdir

	$(MAKE) check

	@touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/stamp-*

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: debian/stamp-install
debian/stamp-install: debian/stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp install

	@touch $@

# Build architecture-independent files here.
binary-indep: build check install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i -A AUTHORS TODO README NEWS
	dh_installchangelogs -i debian/no-upstream-changelog
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build check install
	dh_testdir -a
	dh_testroot -a
	dh_installexamples -plibonig-dev
	dh_installdocs -plibonig-dev
	dh_installdocs -plibonig2 -A AUTHORS README README.ja
	ln -sf libonig2 debian/libonig2-dbg/usr/share/doc/libonig2-dbg
	dh_installman -plibonig-dev -A debian/onig-config.1
	dh_installchangelogs -plibonig2 HISTORY
	dh_installchangelogs -plibonig-dev HISTORY
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a --dbg-package=libonig2-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libonig2 (>= 5.2.0)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: configure build check clean binary-indep binary-arch binary install
