## libonig 5.9.6

=== debian/changelog ===
libonig (5.9.6-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Fix multiple invalid pointer dereference,
    out-of-bounds write memory corruption and stack buffer overflow.
    - debian/patches/CVE-2017-9224-and-CVE-2017-9226-to-9229.patch:
      fixes in regexec.c and regparse.c
    - CVE-2017-9224
    - CVE-2017-9226
    - CVE-2017-9227
    - CVE-2017-9228
    - CVE-2017-9229

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 27 Jul 2018 15:06:20 -0300

libonig (5.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/001-changes_build_sys.diff.
  * Refresh debian/symbols.
  * debian/rules:
    - rewrite override_dh_strip.
    - Add dpkg-gensymbols to generate symbol file(s) 
      on every build.
  * debian/copyright:
    Add year 2015 to my entry at debian/*.
  * debian/control:
    - Remove useless Depends ${shlibs:Depends} from libonig2-dbg
      and libonig-dev
    - Add dpkg and ${misc:Pre-Depends} to Depends of libonig2-dbg 
      to prevent error on upgrade wheezy to jessie (Closes: #769556).
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add Vcs-* fields pointed to alioth.
    - Remove deprecated hardening-wrapper from Build-Depends
      (Closes: #774485).
    - Rewrite Descriptions (Closes: #774520).
  * debian/*.postrm, debian/*.postinst, debian/*.preinst:
    - Delete them and move the dpkg-maintscript-helper to
      debian/libonig2-dbg.maintscript.
  * New debian/libonig2-dbg.maintscript:
    - Add symlink_to_dir calls.
    - Change version in calls of symlink_to_dir to 5.9.6-1~.
  * Add Vcs
  * Add missing MNU changelog entries. Both don't provide a patch with
    the changes and the first one causes a new RC-Bug.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 05 Jan 2015 10:49:52 +0100
