=== debian/control ===
Source: libonig
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends: 
 debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://www.geocities.jp/kosako3/oniguruma/
Vcs-Git: git://anonscm.debian.org/collab-maint/libonig.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libonig.git

Package: libonig2
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: regular expressions library
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.

Package: libonig2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libonig2 (= ${binary:Version})
Pre-Depends:
 ${misc:Pre-Depends},
 dpkg
Description: regular expressions library — debugging symbols
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides the debugging symbols.

Package: libonig-dev
Section: libdevel
Priority: optional
Architecture: any
Depends:
 ${misc:Depends},
 libonig2 (= ${binary:Version})
Description: regular expressions library — development files
 Oniguruma is a library for working with regular expressions.
 .
 Different character encoding for every regular expression object can
 be specified.
 .
 This package provides development files and static libraries.
