=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
+
 %:
 	dh $@ --with autoreconf
 
@@ -18,12 +20,12 @@
 	dh_installman -plibonig-dev -A debian/onig-config.1
 
 override_dh_strip:
-	set -e; \
-	for pkg in $(patsubst %-dbg,%,$(filter %-dbg,$(shell dh_listpackages))); do \
-		dh_strip -p$${pkg} --dbg-package=$${pkg}-dbg; \
-	done
-	dh_strip -s --remaining-packages
+	dh_strip --dbg-package=libonig2-dbg
 
 override_dh_install:
 	dh_install --fail-missing -X.la -X.a
 
+override_dh_makeshlibs:
+	dh_makeshlibs
+	dpkg-gensymbols -v$(VERSION) -plibonig2
+
