=== debian/watch ===
version=3

http://www.geocities.jp/kosako3/oniguruma/ \
 archive/onig-(\S+)\.tar\.gz
