=== debian/changelog ===
libonig (6.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 06 Aug 2017 19:31:50 +0200

libonig (6.4.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh symbols file.
  * Remove not longer needed patches.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 23 Jul 2017 11:51:31 +0200

libonig (6.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Update symbols file.
    - Refresh patches.
  * Drop dh-autoreconf from both build-depends and dh --with arguments.
    because this is all defaults when using dh compat 10.
  * debian/copyright: Add year 2017.
  * Remove upstream applied debian/patches/0500-CVE-2017-922[4-9].patch.
  * Use the automatic debug symbol packages:
    - Remove libonig4-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
  * New README.source to explain the branching model used.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 25 Jun 2017 09:55:31 +0200
