=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 10),
- dh-autoreconf
-Standards-Version: 3.9.8
+ debhelper (>= 10)
+Standards-Version: 4.0.0
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
@@ -25,23 +24,6 @@
  Different character encoding for every regular expression object can
  be specified.
 
-Package: libonig4-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
- ${misc:Depends},
- libonig4 (= ${binary:Version})
-Pre-Depends:
- ${misc:Pre-Depends}
-Description: regular expressions library — debugging symbols
- Oniguruma is a library for working with regular expressions.
- .
- Different character encoding for every regular expression object can
- be specified.
- .
- This package provides the debugging symbols.
-
 Package: libonig-dev
 Section: libdevel
 Priority: optional
