=== debian/changelog ===
libonig (6.7.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Change to my new email address:
    - debian/control
    - debian/copyright
  * debian/changelog:
    - Remove trailing whitespaces.
  * Declare compliance with Debian Policy 4.1.2.0. (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 14 Dec 2017 17:26:05 +0100

libonig (6.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.1.0.0. (No changes needed).
  * Remove missing README.ja from debian/libonig-dev.docs and
    debian/libonig-dev.doc-base.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 01 Sep 2017 19:57:42 +0200
