=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libonig
 Section: libs
 Priority: extra
-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper (>= 10)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2.0
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
