=== debian/rules ===
--- 
+++ 
@@ -9,23 +9,23 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+#
+# Test for gcc-6 support
+#
+#export CC=gcc-6
+#export CXX=g++-6
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_installman:
-	dh_installman -plibonig-dev -A debian/onig-config.1
-
-override_dh_strip:
-	dh_strip --dbg-package=libonig2-dbg
+	dh $@
 
 override_dh_install:
+	$(RM) debian/tmp/usr/bin/onig-config
 	dh_install --fail-missing -X.la -X.a
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	dpkg-gensymbols -v$(VERSION) -plibonig2
-
+	dpkg-gensymbols -v$(VERSION) -plibonig4
