## libonig 6.8.2

=== debian/changelog ===
libonig (6.8.2-1) unstable; urgency=medium

  * New upstream release (Closes: #897250).
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.1.4 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 May 2018 18:41:47 +0200

libonig (6.8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 01 May 2018 09:45:05 +0200

libonig (6.8.1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh symbols file.
    - Refresh debian/copyright.
  * Rename libonig4 to libonig5.
    - debian/control:
      + Rename binaray package.
      + Set Depends to libonig5.
    - Rename debian/libonig4* to debian/libonig5*
    - debian/rules:
      + Rename liboing4 to libonig5.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 21 Mar 2018 19:56:23 +0100
