=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 10)
-Standards-Version: 4.1.2.0
+ debhelper (>= 11)
+Standards-Version: 4.1.4
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
 
-Package: libonig4
+Package: libonig5
 Priority: optional
 Architecture: any
 Multi-Arch: same
@@ -30,7 +30,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- libonig4 (= ${binary:Version})
+ libonig5 (= ${binary:Version})
 Description: regular expressions library — development files
  Oniguruma is a library for working with regular expressions.
  .
