## libonig 6.9.1

=== debian/changelog ===
libonig (6.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:05:36 +0800

libonig (6.9.1-1) unstable; urgency=medium

  * New upstream release:
    - Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 21 Dec 2018 14:09:48 +0100

libonig (6.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * debian/control:
    - Change VCS-* to point to the new repository.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 06 Sep 2018 07:14:48 +0200
