=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/kkos/oniguruma
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libonig.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libonig.git
+Vcs-Git: git://jff.email/opt/git/libonig.git
+Vcs-Browser: https://jff.email/cgit/libonig.git
 
 Package: libonig5
 Priority: optional
