=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,4 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs
-	dpkg-gensymbols -v$(VERSION) -plibonig4
+	dpkg-gensymbols -v$(VERSION) -plibonig5
