=== debian/watch ===
version=4
https://github.com/kkos/oniguruma/tags .*/v?(\d\S*)\.tar\.gz
