## libonig 6.9.1.2

=== debian/changelog ===
libonig (6.9.1.2-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: bd63c69c96131b7168cbe79e44e04b09c135807a']

 -- shuttle <shuttle@deepin.com>  Wed, 28 Oct 2020 14:36:33 +0000
