=== debian/changelog ===
libonig (6.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Refresh symbols file.
    - Refresh debian/patches/0100-source_typos.patch.
  * Rewrite debain/watch.
  * New debian/patches/0105-CVE-2019-13224.patch and
      debian/patches/0110-CVE-2019-13225.patch (Closes: #931878):
    - Fixes CVE-2019-13224 A use-after-free in onig_new_deluxe() in regext.c.
    - Fixes CVE-2019-13225 A NULL Pointer Dereference in match_at()
       in regexec.c.
  * Declare compliance with Debian Policy 4.4.0 (No changes needed).
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
    - debian/rules: Remove obsolete dh_install --fail-missing.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 12 Jul 2019 10:39:37 +0200
