=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.2.1
+ debhelper (>= 12)
+Standards-Version: 4.4.0
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: git://jff.email/opt/git/libonig.git
 Vcs-Browser: https://jff.email/cgit/libonig.git
