## libonig 6.9.4

=== debian/changelog ===
libonig (6.9.4-1) unstable; urgency=medium

  * Neu upstream release.
    - Refresh symbols file and add Build-Depends-Package field.
    - Remove upstream applied patches:
      + 0105-CVE-2019-13224.patch
      + 0110-CVE-2019-13225.patch
    - Refresh debain/copyright.
    - Fixes CVE-2019-19204: heap-buffer-overflow in fetch_interval_quantifier
        due to double PFETCH (Closes: #945313).
    - Fixes CVE-2019-19203: heap-buffer-overflow in gb18030_mbc_enc_len
        (Closes: #945312).
    - Fixes CVE-2019-19012: Out of bounds read in mbc_to_code()
        (Closes: #944959).
    - Fixes CVE-2019-16163: Stack Exhaustion Problem (Closes: #939988).
    - Fixes CVE-2019-19246: heap-based buffer over-read in str_lower_case_match.
  * debian/watch:_Correct typo.
  * Declare compliance with Debian Policy 4.4.1.1 (No changes needed).
  * Switch to debhelper-compat:
    - debian/control: change to debhelper-compat (=12)
    - remove debian/compat
  * debian/control:
    - Add Rules-Requires-Root: no.
  * Remove outdated debian/NEWS.Debian.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 22 Dec 2019 16:00:46 +0100
