=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: extra
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 12)
-Standards-Version: 4.4.0
+ debhelper-compat (= 12)
+Standards-Version: 4.4.1.1
+Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: git://jff.email/opt/git/libonig.git
 Vcs-Browser: https://jff.email/cgit/libonig.git
