=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_install:
 	$(RM) debian/tmp/usr/bin/onig-config
-	dh_install --fail-missing -X.la -X.a
+	dh_install -X.la -X.a
 
 override_dh_makeshlibs:
 	dh_makeshlibs
