## libonig 6.9.5

=== debian/changelog ===
libonig (6.9.5-2) unstable; urgency=medium

  * debian/rules
    - set --enable-posix-api, since default was changed and some packages
      need to be built with onigposix.h (Closes: #958467).
     (Thanks to: Hideki Yamane <henrich@iijmio-mail.jp>.
   - Refresh symbols file.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Apr 2020 10:56:30 +0200

libonig (6.9.5-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * debian/copyright:
    - Add year 2020.
  * Remove unused patches:
    - debian/patches/0105-CVE-2019-13224.patch,
    - debian/patches/0110-CVE-2019-13225.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 20 Apr 2020 22:35:52 +0200
