=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 12)
-Standards-Version: 4.4.1.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/kkos/oniguruma
 Vcs-Git: git://jff.email/opt/git/libonig.git
