## libonig 6.9.6

=== debian/changelog ===
libonig (6.9.6-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/rules
    - As upstream change, set "--enable-binary-compatible-posix-api=yes",
      instead of "--enable-posix-api" (Closes: #983406)

 -- Hideki Yamane <henrich@debian.org>  Wed, 24 Feb 2021 02:25:03 +0900

libonig (6.9.6-1) unstable; urgency=medium

  * New upstream release.
    - Refresh symbols file.
  * Migrate to debhelper-compat 13:
    - Bump debhelper-compat version in debian/control to = 13.
  * debian/rules:
    - Add remove for libonig.[la|a] to fix warning about missing installs.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Nov 2020 13:08:04 +0100
