=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,12 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-posix-api
+	dh_auto_configure -- --enable-binary-compatible-posix-api=yes
 
 override_dh_install:
 	$(RM) debian/tmp/usr/bin/onig-config
+	$(RM) debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libonig.a
+	$(RM) debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libonig.la
 	dh_install -X.la -X.a
 
 override_dh_makeshlibs:
